// 导出中文/字段
export const titleObj = {
  0: {
    商户名称: 'owner_name',
    商户ID: 'company_uid',
    所属商务: 'business_str',
    提现金额: 'tixian_money',
    打款金额: 'tixian_money',
    提现时间: 'created_at',
    提现账户: 'card_no',
    状态: 'status_str',
    收款人姓名: 'name_of_payee',
    备注: 'remark'
  },
  1: {
    商户名称: 'owner_name',
    商户ID: 'company_uid',
    所属商务: 'business_str',
    提现金额: 'tixian_money',
    打款金额: 'tixian_money',
    提现时间: 'created_at',
    提现账户: 'card_no',
    状态: 'status_str',
    收款人姓名: 'name_of_payee',
    备注: 'remark'
  },
  2: {
    商户名称: 'owner_name',
    商户ID: 'company_uid',
    所属商务: 'business_str',
    提现金额: 'tixian_money',
    打款金额: 'tixian_money',
    提现时间: 'created_at',
    提现账户: 'card_no',
    状态: 'status_str',
    收款人姓名: 'name_of_payee',
    备注: 'remark'
  },
  3: {
    商户名称: 'owner_name',
    商户ID: 'company_uid',
    所属商务: 'business_str',
    提现金额: 'tixian_money',
    打款金额: 'tixian_money',
    提现时间: 'created_at',
    提现账户: 'card_no',
    状态: 'status_str',
    收款人姓名: 'name_of_payee',
    备注: 'remark'
  },
  4: {
    提现金额: 'tixian_money',
    提现时间: 'created_at',
    提现账户: 'card_no',
    状态: 'status_str',
    收款人姓名: 'name_of_payee',
    打款时间:'updated_at',
    备注: 'remark'
  },
  5: {
    提现金额: 'tixian_money',
    提现时间: 'created_at',
    提现账户: 'card_no',
    状态: 'status_str',
    收款人姓名: 'name_of_payee',
    备注: 'remark'
  }
};

/**
 * 
 *  <el-table-column prop="owner_name" label="商户名称" min-width="200px" v-if="!([4, 5].includes(query.status))">
          <template #default="scope">
            <div>{{ scope.row.owner_name }}</div>
            <div>ID:{{ scope.row.company_uid }}</div>
          </template>
        </el-table-column>
        <el-table-column v-if="!([4, 5].includes(query.status))" prop="business_str" show-overflow-tooltip label="所属商务"
          min-width="200px">
        </el-table-column>
        <el-table-column prop="tixian_money" label="提现金额" show-overflow-tooltip min-width="200px">
        </el-table-column>
        <el-table-column v-if="!([4, 5].includes(query.status))" prop="tixian_money" label="打款金额" show-overflow-tooltip
          min-width="200px">
        </el-table-column>
        <el-table-column prop="created_at" show-overflow-tooltip label="提现时间" min-width="200px">
        </el-table-column>
        <el-table-column prop="card_no" label="提现账户" show-overflow-tooltip>
        </el-table-column>
        <el-table-column prop="status_str" label="状态" show-overflow-tooltip min-width="200px">
          <template #default="scope">
            <el-text class="mx-1" :type="colorType(scope.row)">{{ scope.row.status_str }}</el-text>
            <div v-if="query.status == 4">
              <el-text class="mx-1" :type="colorType(scope.row)">{{ scope.row.updated_at }}</el-text>
            </div>
          </template>
        </el-table-column>
        <el-table-column prop="name_of_payee" label="收款人姓名" show-overflow-tooltip min-width="200px">
        </el-table-column>
        <el-table-column prop="remark" label="备注" show-overflow-tooltip>
        </el-table-column>
        <el-table-column label="操作" v-if="isShowOperate">
          <template #default="scope">
            <el-button link type="primary" size="small" v-if="query.status == 1"
              @click="openType('withdrawDetailVisible', scope.row)">提现详情</el-button>
            <br />
            <div v-if="query.status == 1">
              <el-button link type="primary" size="small" @click="openType('approvedVisible', scope.row)">审核通过</el-button>
              <br />
              <el-button link type="primary" size="small"
                @click="openType('noapprovedVisible', scope.row)">审核不通过</el-button>
              <br />
            </div>
            <div v-if="query.status == 3">
              <el-button link type="primary" size="small"
                @click="openType('applyVisible', scope.row, '打款成功')">打款成功</el-button>
              <br />
              <el-button link type="primary" size="small"
                @click="openType('applyVisible', scope.row, '打款失败')">打款失败</el-button>
              <br />
            </div>
          </template>
        </el-table-column>
 */
